Subject: Re: git 2.1.0: make fails

From: Gerry Reno <[email-masked]>
Date: Wed, 10 Sep 2014 08:39:41 -0400

On 09/09/2014 06:42 PM, Jeff King wrote:
> On Tue, Sep 09, 2014 at 04:34:02PM -0400, Gerry Reno wrote:
>
>> Downloaded the git-2.1.0.tar.gz  tarball.
>>
>> Cannot build git 2.1.0:
> Weird. It works fine for me on Debian unstable. What platform are you on?
>
>>     cc  -g -O2 -Wall -I. -DHAVE_ALLOCA_H  -DHAVE_PATHS_H -DHAVE_DEV_TTY -DHAVE_CLOCK_GETTIME
>>     -DSHA1_HEADER='<openssl/sha.h>'  -DNO_STRLCPY -DNO_MKSTEMPS -DSHELL_PATH='"/bin/sh"' -o git-credential-store  
>>     credential-store.o libgit.a xdiff/lib.a  -lz  -lcrypto -lpthread -lrt
>>     collect2: ld returned 1 exit status
>>     make: *** [git-credential-store] Error 1
> So the linker failed, but it didn't actually tell us why. That's not
> much to go on. Are you sure there was no other output on stderr?
>
> I assume the reason it broke on git-credential-store is just because it
> is the first thing we try to link. What does:
>
>   make V=1 prefix=/usr/local git
>
> output? Does it successfully link "git"?
>
> -Peff
>

I downloaded git-2.0.4.tar.gz and it builds and links fine.

I wiped out the 2.1.0 installation so cannot test anything more.